Skip to main content
`Ctrl`+`K`

# wheel_graph

wheel_graph(n, create_using=None)

  Return the wheel graph

  The wheel graph consists of a hub node connected to a cycle of (n-1) nodes.

  (`Source code`, `png`)

  Parameters:
    n int or iterable

      If an integer, node labels are 0 to n with center 0. If an iterable of nodes, the center is the first. Warning: n is not checked for duplicates and if present the resulting graph may not be as desired. Make sure you have no duplicates.

    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

    Node labels are the integers 0 to n - 1.